diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-comments-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-comments-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-comments-list-table.php	2012-11-05 19:01:52.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-comments-list-table.php	2013-06-23 03:30:30.000000000 -0500
***************
*** 170,176 ****
  			/*
  			// I toyed with this, but decided against it. Leaving it in here in case anyone thinks it is a good idea. ~ Mark
  			if ( !empty( $_REQUEST['s'] ) )
! 				$link = add_query_arg( 's', esc_attr( stripslashes( $_REQUEST['s'] ) ), $link );
  			*/
  			$status_links[$status] = "<a href='$link'$class>" . sprintf(
  				translate_nooped_plural( $label, $num_comments->$status ),
--- 170,176 ----
  			/*
  			// I toyed with this, but decided against it. Leaving it in here in case anyone thinks it is a good idea. ~ Mark
  			if ( !empty( $_REQUEST['s'] ) )
! 				$link = add_query_arg( 's', esc_attr( wp_unslash( $_REQUEST['s'] ) ), $link );
  			*/
  			$status_links[$status] = "<a href='$link'$class>" . sprintf(
  				translate_nooped_plural( $label, $num_comments->$status ),
***************
*** 315,321 ****
  		$this->user_can = current_user_can( 'edit_comment', $comment->comment_ID );
  
  		echo "<tr id='comment-$comment->comment_ID' class='$the_comment_class'>";
! 		echo $this->single_row_columns( $comment );
  		echo "</tr>\n";
  	}
  
--- 315,321 ----
  		$this->user_can = current_user_can( 'edit_comment', $comment->comment_ID );
  
  		echo "<tr id='comment-$comment->comment_ID' class='$the_comment_class'>";
! 		$this->single_row_columns( $comment );
  		echo "</tr>\n";
  	}
  
***************
*** 336,347 ****
  		$comment_url = esc_url( get_comment_link( $comment->comment_ID ) );
  		$the_comment_status = wp_get_comment_status( $comment->comment_ID );
  
- 		$ptime = date( 'G', strtotime( $comment->comment_date ) );
- 		if ( ( abs( time() - $ptime ) ) < DAY_IN_SECONDS )
- 			$ptime = sprintf( __( '%s ago' ), human_time_diff( $ptime ) );
- 		else
- 			$ptime = mysql2date( __( 'Y/m/d \a\t g:i A' ), $comment->comment_date );
- 
  		if ( $user_can ) {
  			$del_nonce = esc_html( '_wpnonce=' . wp_create_nonce( "delete-comment_$comment->comment_ID" ) );
  			$approve_nonce = esc_html( '_wpnonce=' . wp_create_nonce( "approve-comment_$comment->comment_ID" ) );
--- 336,341 ----
***************
*** 360,367 ****
  		echo '<div class="submitted-on">';
  		/* translators: 2: comment date, 3: comment time */
  		printf( __( 'Submitted on <a href="%1$s">%2$s at %3$s</a>' ), $comment_url,
! 			/* translators: comment date format. See http://php.net/date */ get_comment_date( __( 'Y/m/d' ) ),
! 			/* translators: comment time format. See http://php.net/date */ get_comment_date( get_option( 'time_format' ) ) );
  
  		if ( $comment->comment_parent ) {
  			$parent = get_comment( $comment->comment_parent );
--- 354,363 ----
  		echo '<div class="submitted-on">';
  		/* translators: 2: comment date, 3: comment time */
  		printf( __( 'Submitted on <a href="%1$s">%2$s at %3$s</a>' ), $comment_url,
! 			/* translators: comment date format. See http://php.net/date */
! 			get_comment_date( __( 'Y/m/d' ) ),
! 			get_comment_date( get_option( 'time_format' ) )
! 		);
  
  		if ( $comment->comment_parent ) {
  			$parent = get_comment( $comment->comment_parent );
***************
*** 456,462 ****
  			$author_url = '';
  		$author_url_display = preg_replace( '|http://(www\.)?|i', '', $author_url );
  		if ( strlen( $author_url_display ) > 50 )
! 			$author_url_display = substr( $author_url_display, 0, 49 ) . '...';
  
  		echo "<strong>"; comment_author(); echo '</strong><br />';
  		if ( !empty( $author_url ) )
--- 452,458 ----
  			$author_url = '';
  		$author_url_display = preg_replace( '|http://(www\.)?|i', '', $author_url );
  		if ( strlen( $author_url_display ) > 50 )
! 			$author_url_display = substr( $author_url_display, 0, 49 ) . '&hellip;';
  
  		echo "<strong>"; comment_author(); echo '</strong><br />';
  		if ( !empty( $author_url ) )
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-filesystem-base.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-filesystem-base.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-filesystem-base.php	2012-09-28 20:33:15.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-filesystem-base.php	2013-01-27 19:55:39.000000000 -0600
***************
*** 203,209 ****
  				continue; //We want this to be caught by the next code block.
  
  			//Working from /home/ to /user/ to /wordpress/ see if that file exists within the current folder,
! 			// If its found, change into it and follow through looking for it.
  			// If it cant find WordPress down that route, it'll continue onto the next folder level, and see if that matches, and so on.
  			// If it reaches the end, and still cant find it, it'll return false for the entire function.
  			if ( isset($files[ $key ]) ){
--- 203,209 ----
  				continue; //We want this to be caught by the next code block.
  
  			//Working from /home/ to /user/ to /wordpress/ see if that file exists within the current folder,
! 			// If it's found, change into it and follow through looking for it.
  			// If it cant find WordPress down that route, it'll continue onto the next folder level, and see if that matches, and so on.
  			// If it reaches the end, and still cant find it, it'll return false for the entire function.
  			if ( isset($files[ $key ]) ){
***************
*** 241,247 ****
  	 * @access public
  	 *
  	 * @param string $file string filename
! 	 * @return int octal representation of permissions
  	 */
  	function gethchmod($file){
  		$perms = $this->getchmod($file);
--- 241,247 ----
  	 * @access public
  	 *
  	 * @param string $file string filename
! 	 * @return string *nix style representation of permissions
  	 */
  	function gethchmod($file){
  		$perms = $this->getchmod($file);
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-filesystem-direct.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-filesystem-direct.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-filesystem-direct.php	2012-01-08 11:01:11.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-filesystem-direct.php	2012-12-20 09:55:32.000000000 -0600
***************
*** 229,235 ****
  		if ( ! $recursive && $this->is_dir($file) )
  			return @rmdir($file);
  
! 		//At this point its a folder, and we're in recursive mode
  		$file = trailingslashit($file);
  		$filelist = $this->dirlist($file, true);
  
--- 229,235 ----
  		if ( ! $recursive && $this->is_dir($file) )
  			return @rmdir($file);
  
! 		//At this point it's a folder, and we're in recursive mode
  		$file = trailingslashit($file);
  		$filelist = $this->dirlist($file, true);
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-filesystem-ftpsockets.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-filesystem-ftpsockets.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-filesystem-ftpsockets.php	2012-07-06 06:39:39.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-filesystem-ftpsockets.php	2012-12-20 09:55:32.000000000 -0600
***************
*** 97,103 ****
  		if ( ! $this->ftp->fget($temphandle, $file) ) {
  			fclose($temphandle);
  			unlink($temp);
! 			return ''; //Blank document, File does exist, Its just blank.
  		}
  
  		fseek($temphandle, 0); //Skip back to the start of the file being written to
--- 97,103 ----
  		if ( ! $this->ftp->fget($temphandle, $file) ) {
  			fclose($temphandle);
  			unlink($temp);
! 			return ''; //Blank document, File does exist, It's just blank.
  		}
  
  		fseek($temphandle, 0); //Skip back to the start of the file being written to
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-filesystem-ssh2.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-filesystem-ssh2.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-filesystem-ssh2.php	2011-10-13 05:43:38.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-filesystem-ssh2.php	2013-07-09 23:15:13.000000000 -0500
***************
*** 184,191 ****
  		if ( ! $this->exists($file) )
  			return false;
  		if ( ! $recursive || ! $this->is_dir($file) )
! 			return $this->run_command(sprintf('chgrp %o %s', $mode, escapeshellarg($file)), true);
! 		return $this->run_command(sprintf('chgrp -R %o %s', $mode, escapeshellarg($file)), true);
  	}
  
  	function chmod($file, $mode = false, $recursive = false) {
--- 184,191 ----
  		if ( ! $this->exists($file) )
  			return false;
  		if ( ! $recursive || ! $this->is_dir($file) )
! 			return $this->run_command(sprintf('chgrp %s %s', escapeshellarg($group), escapeshellarg($file)), true);
! 		return $this->run_command(sprintf('chgrp -R %s %s', escapeshellarg($group), escapeshellarg($file)), true);
  	}
  
  	function chmod($file, $mode = false, $recursive = false) {
***************
*** 210,217 ****
  		if ( ! $this->exists($file) )
  			return false;
  		if ( ! $recursive || ! $this->is_dir($file) )
! 			return $this->run_command(sprintf('chown %o %s', $mode, escapeshellarg($file)), true);
! 		return $this->run_command(sprintf('chown -R %o %s', $mode, escapeshellarg($file)), true);
  	}
  
  	function owner($file) {
--- 210,217 ----
  		if ( ! $this->exists($file) )
  			return false;
  		if ( ! $recursive || ! $this->is_dir($file) )
! 			return $this->run_command(sprintf('chown %s %s', escapeshellarg($owner), escapeshellarg($file)), true);
! 		return $this->run_command(sprintf('chown -R %s %s', escapeshellarg($owner), escapeshellarg($file)), true);
  	}
  
  	function owner($file) {
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-importer.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-importer.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-importer.php	2013-06-21 01:12:17.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-importer.php	2013-07-31 01:53:06.000000000 -0500
***************
*** 183,189 ****
  
  		$headers = array();
  		$args = array();
- 		$args['reject_unsafe_urls'] = true;
  		if ( true === $head )
  			$args['method'] = 'HEAD';
  		if ( !empty( $username ) && !empty( $password ) )
--- 183,188 ----
***************
*** 191,197 ****
  
  		$args['headers'] = $headers;
  
! 		return wp_remote_request( $url, $args );
  	}
  
  	/**
--- 190,196 ----
  
  		$args['headers'] = $headers;
  
! 		return wp_safe_remote_request( $url, $args );
  	}
  
  	/**
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-links-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-links-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-links-list-table.php	2012-09-21 14:34:23.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-links-list-table.php	2013-02-16 12:28:41.000000000 -0600
***************
*** 23,29 ****
  	function prepare_items() {
  		global $cat_id, $s, $orderby, $order;
  
! 		wp_reset_vars( array( 'action', 'cat_id', 'linkurl', 'name', 'image', 'description', 'visible', 'target', 'category', 'link_id', 'submit', 'orderby', 'order', 'links_show_cat_id', 'rating', 'rel', 'notes', 'linkcheck[]', 's' ) );
  
  		$args = array( 'hide_invisible' => 0, 'hide_empty' => 0 );
  
--- 23,29 ----
  	function prepare_items() {
  		global $cat_id, $s, $orderby, $order;
  
! 		wp_reset_vars( array( 'action', 'cat_id', 'link_id', 'orderby', 'order', 's' ) );
  
  		$args = array( 'hide_invisible' => 0, 'hide_empty' => 0 );
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-list-table.php	2012-11-05 19:01:52.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-list-table.php	2013-04-28 20:10:50.000000000 -0500
***************
*** 72,78 ****
  	var $_pagination;
  
  	/**
! 	 * Constructor. The child class should call this constructor from it's own constructor
  	 *
  	 * @param array $args An associative array with information about the current table
  	 * @access protected
--- 72,78 ----
  	var $_pagination;
  
  	/**
! 	 * Constructor. The child class should call this constructor from its own constructor
  	 *
  	 * @param array $args An associative array with information about the current table
  	 * @access protected
***************
*** 826,832 ****
  		$row_class = ( $row_class == '' ? ' class="alternate"' : '' );
  
  		echo '<tr' . $row_class . '>';
! 		echo $this->single_row_columns( $item );
  		echo '</tr>';
  	}
  
--- 826,832 ----
  		$row_class = ( $row_class == '' ? ' class="alternate"' : '' );
  
  		echo '<tr' . $row_class . '>';
! 		$this->single_row_columns( $item );
  		echo '</tr>';
  	}
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-media-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-media-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-media-list-table.php	2012-12-05 16:49:51.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-media-list-table.php	2013-06-01 04:40:00.000000000 -0500
***************
*** 47,54 ****
  		$type_links = array();
  		$_num_posts = (array) wp_count_attachments();
  		$_total_posts = array_sum($_num_posts) - $_num_posts['trash'];
! 		if ( !isset( $total_orphans ) )
! 				$total_orphans = $wpdb->get_var( "SELECT COUNT( * ) FROM $wpdb->posts WHERE post_type = 'attachment' AND post_status != 'trash' AND post_parent < 1" );
  		$matches = wp_match_mime_types(array_keys($post_mime_types), array_keys($_num_posts));
  		foreach ( $matches as $type => $reals )
  			foreach ( $reals as $real )
--- 47,53 ----
  		$type_links = array();
  		$_num_posts = (array) wp_count_attachments();
  		$_total_posts = array_sum($_num_posts) - $_num_posts['trash'];
! 		$total_orphans = $wpdb->get_var( "SELECT COUNT( * ) FROM $wpdb->posts WHERE post_type = 'attachment' AND post_status != 'trash' AND post_parent < 1" );
  		$matches = wp_match_mime_types(array_keys($post_mime_types), array_keys($_num_posts));
  		foreach ( $matches as $type => $reals )
  			foreach ( $reals as $real )
***************
*** 176,182 ****
  	}
  
  	function display_rows() {
! 		global $post, $id;
  
  		add_filter( 'the_title','esc_html' );
  		$alt = '';
--- 175,181 ----
  	}
  
  	function display_rows() {
! 		global $post;
  
  		add_filter( 'the_title','esc_html' );
  		$alt = '';
***************
*** 192,198 ****
  			$post_owner = ( get_current_user_id() == $post->post_author ) ? 'self' : 'other';
  			$att_title = _draft_or_post_title();
  ?>
! 	<tr id='post-<?php echo $id; ?>' class='<?php echo trim( $alt . ' author-' . $post_owner . ' status-' . $post->post_status ); ?>' valign="top">
  <?php
  
  list( $columns, $hidden ) = $this->get_column_info();
--- 191,197 ----
  			$post_owner = ( get_current_user_id() == $post->post_author ) ? 'self' : 'other';
  			$att_title = _draft_or_post_title();
  ?>
! 	<tr id='post-<?php echo $post->ID; ?>' class='<?php echo trim( $alt . ' author-' . $post_owner . ' status-' . $post->post_status ); ?>' valign="top">
  <?php
  
  list( $columns, $hidden ) = $this->get_column_info();
***************
*** 266,272 ****
  
  	case 'author':
  ?>
! 		<td <?php echo $attributes ?>><?php the_author() ?></td>
  <?php
  		break;
  
--- 265,276 ----
  
  	case 'author':
  ?>
! 		<td <?php echo $attributes ?>><?php
! 			printf( '<a href="%s">%s</a>',
! 				esc_url( add_query_arg( array( 'author' => get_the_author_meta('ID') ), 'upload.php' ) ),
! 				get_the_author()
! 			);
! 		?></td>
  <?php
  		break;
  
***************
*** 297,309 ****
  		break;
  
  	case 'parent':
! 		if ( $post->post_parent > 0 ) {
! 			if ( get_post( $post->post_parent ) ) {
! 				$title =_draft_or_post_title( $post->post_parent );
! 			}
  ?>
  			<td <?php echo $attributes ?>><strong>
! 				<?php if( current_user_can( 'edit_post', $post->post_parent ) ) { ?>
  					<a href="<?php echo get_edit_post_link( $post->post_parent ); ?>">
  						<?php echo $title ?></a><?php
  				} else {
--- 301,311 ----
  		break;
  
  	case 'parent':
! 		if ( $post->post_parent > 0 && get_post( $post->post_parent ) ) {
! 			$title = _draft_or_post_title( $post->post_parent );
  ?>
  			<td <?php echo $attributes ?>><strong>
! 				<?php if ( current_user_can( 'edit_post', $post->post_parent ) ) { ?>
  					<a href="<?php echo get_edit_post_link( $post->post_parent ); ?>">
  						<?php echo $title ?></a><?php
  				} else {
***************
*** 315,321 ****
  		} else {
  ?>
  			<td <?php echo $attributes ?>><?php _e( '(Unattached)' ); ?><br />
! 			<?php if( $user_can_edit ) {?>
  				<a class="hide-if-no-js"
  					onclick="findPosts.open( 'media[]','<?php echo $post->ID ?>' ); return false;"
  					href="#the-list">
--- 317,323 ----
  		} else {
  ?>
  			<td <?php echo $attributes ?>><?php _e( '(Unattached)' ); ?><br />
! 			<?php if ( $user_can_edit ) { ?>
  				<a class="hide-if-no-js"
  					onclick="findPosts.open( 'media[]','<?php echo $post->ID ?>' ); return false;"
  					href="#the-list">
***************
*** 375,381 ****
  		}
  ?>
  		<td <?php echo $attributes ?>>
! 			<?php do_action( 'manage_media_custom_column', $column_name, $id ); ?>
  		</td>
  <?php
  		break;
--- 377,383 ----
  		}
  ?>
  		<td <?php echo $attributes ?>>
! 			<?php do_action( 'manage_media_custom_column', $column_name, $post->ID ); ?>
  		</td>
  <?php
  		break;
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-ms-sites-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-ms-sites-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-ms-sites-list-table.php	2012-10-11 12:48:42.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-ms-sites-list-table.php	2013-03-01 11:00:25.000000000 -0600
***************
*** 29,35 ****
  
  		$pagenum = $this->get_pagenum();
  
! 		$s = isset( $_REQUEST['s'] ) ? stripslashes( trim( $_REQUEST[ 's' ] ) ) : '';
  		$wild = '';
  		if ( false !== strpos($s, '*') ) {
  			$wild = '%';
--- 29,35 ----
  
  		$pagenum = $this->get_pagenum();
  
! 		$s = isset( $_REQUEST['s'] ) ? wp_unslash( trim( $_REQUEST[ 's' ] ) ) : '';
  		$wild = '';
  		if ( false !== strpos($s, '*') ) {
  			$wild = '%';
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-ms-themes-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-ms-themes-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-ms-themes-list-table.php	2012-11-05 18:52:49.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-ms-themes-list-table.php	2013-07-08 08:04:07.000000000 -0500
***************
*** 126,132 ****
  	function _search_callback( $theme ) {
  		static $term;
  		if ( is_null( $term ) )
! 			$term = stripslashes( $_REQUEST['s'] );
  
  		foreach ( array( 'Name', 'Description', 'Author', 'Author', 'AuthorURI' ) as $field ) {
  			// Don't mark up; Do translate.
--- 126,132 ----
  	function _search_callback( $theme ) {
  		static $term;
  		if ( is_null( $term ) )
! 			$term = wp_unslash( $_REQUEST['s'] );
  
  		foreach ( array( 'Name', 'Description', 'Author', 'Author', 'AuthorURI' ) as $field ) {
  			// Don't mark up; Do translate.
***************
*** 243,253 ****
  	}
  
  	function display_rows() {
! 		foreach ( $this->items as $key => $theme )
! 			$this->single_row( $key, $theme );
  	}
  
! 	function single_row( $key, $theme ) {
  		global $status, $page, $s, $totals;
  
  		$context = $status;
--- 243,253 ----
  	}
  
  	function display_rows() {
! 		foreach ( $this->items as $theme )
! 			$this->single_row( $theme );
  	}
  
! 	function single_row( $theme ) {
  		global $status, $page, $s, $totals;
  
  		$context = $status;
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-ms-users-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-ms-users-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-ms-users-list-table.php	2012-07-30 13:30:03.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-ms-users-list-table.php	2013-03-01 11:00:25.000000000 -0600
***************
*** 173,182 ****
  
  					case 'username':
  						$avatar	= get_avatar( $user->user_email, 32 );
! 						$edit_link = esc_url( add_query_arg( 'wp_http_referer', urlencode( stripslashes( $_SERVER['REQUEST_URI'] ) ), get_edit_user_link( $user->ID ) ) );
  
  						echo "<td $attributes>"; ?>
! 							<?php echo $avatar; ?><strong><a href="<?php echo $edit_link; ?>" class="edit"><?php echo stripslashes( $user->user_login ); ?></a><?php
  							if ( in_array( $user->user_login, $super_admins ) )
  								echo ' - ' . __( 'Super Admin' );
  							?></strong>
--- 173,182 ----
  
  					case 'username':
  						$avatar	= get_avatar( $user->user_email, 32 );
! 						$edit_link = esc_url( add_query_arg( 'wp_http_referer', urlencode( wp_unslash( $_SERVER['REQUEST_URI'] ) ), get_edit_user_link( $user->ID ) ) );
  
  						echo "<td $attributes>"; ?>
! 							<?php echo $avatar; ?><strong><a href="<?php echo $edit_link; ?>" class="edit"><?php echo $user->user_login; ?></a><?php
  							if ( in_array( $user->user_login, $super_admins ) )
  								echo ' - ' . __( 'Super Admin' );
  							?></strong>
***************
*** 186,192 ****
  								$actions['edit'] = '<a href="' . $edit_link . '">' . __( 'Edit' ) . '</a>';
  
  								if ( current_user_can( 'delete_user', $user->ID ) && ! in_array( $user->user_login, $super_admins ) ) {
! 									$actions['delete'] = '<a href="' . $delete = esc_url( network_admin_url( add_query_arg( '_wp_http_referer', urlencode( stripslashes( $_SERVER['REQUEST_URI'] ) ), wp_nonce_url( 'users.php', 'deleteuser' ) . '&amp;action=deleteuser&amp;id=' . $user->ID ) ) ) . '" class="delete">' . __( 'Delete' ) . '</a>';
  								}
  
  								$actions = apply_filters( 'ms_user_row_actions', $actions, $user );
--- 186,192 ----
  								$actions['edit'] = '<a href="' . $edit_link . '">' . __( 'Edit' ) . '</a>';
  
  								if ( current_user_can( 'delete_user', $user->ID ) && ! in_array( $user->user_login, $super_admins ) ) {
! 									$actions['delete'] = '<a href="' . $delete = esc_url( network_admin_url( add_query_arg( '_wp_http_referer', urlencode( wp_unslash( $_SERVER['REQUEST_URI'] ) ), wp_nonce_url( 'users.php', 'deleteuser' ) . '&amp;action=deleteuser&amp;id=' . $user->ID ) ) ) . '" class="delete">' . __( 'Delete' ) . '</a>';
  								}
  
  								$actions = apply_filters( 'ms_user_row_actions', $actions, $user );
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-plugin-install-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-plugin-install-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-plugin-install-list-table.php	2012-09-26 19:47:01.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-plugin-install-list-table.php	2013-03-01 11:00:25.000000000 -0600
***************
*** 40,46 ****
  		$tabs = apply_filters( 'install_plugins_tabs', $tabs );
  		$nonmenu_tabs = apply_filters( 'install_plugins_nonmenu_tabs', $nonmenu_tabs );
  
! 		// If a non-valid menu tab has been selected, And its not a non-menu action.
  		if ( empty( $tab ) || ( !isset( $tabs[ $tab ] ) && !in_array( $tab, (array) $nonmenu_tabs ) ) )
  			$tab = key( $tabs );
  
--- 40,46 ----
  		$tabs = apply_filters( 'install_plugins_tabs', $tabs );
  		$nonmenu_tabs = apply_filters( 'install_plugins_nonmenu_tabs', $nonmenu_tabs );
  
! 		// If a non-valid menu tab has been selected, And it's not a non-menu action.
  		if ( empty( $tab ) || ( !isset( $tabs[ $tab ] ) && !in_array( $tab, (array) $nonmenu_tabs ) ) )
  			$tab = key( $tabs );
  
***************
*** 48,55 ****
  
  		switch ( $tab ) {
  			case 'search':
! 				$type = isset( $_REQUEST['type'] ) ? stripslashes( $_REQUEST['type'] ) : 'term';
! 				$term = isset( $_REQUEST['s'] ) ? stripslashes( $_REQUEST['s'] ) : '';
  
  				switch ( $type ) {
  					case 'tag':
--- 48,55 ----
  
  		switch ( $tab ) {
  			case 'search':
! 				$type = isset( $_REQUEST['type'] ) ? wp_unslash( $_REQUEST['type'] ) : 'term';
! 				$term = isset( $_REQUEST['s'] ) ? wp_unslash( $_REQUEST['s'] ) : '';
  
  				switch ( $type ) {
  					case 'tag':
***************
*** 73,79 ****
  				break;
  
  			case 'favorites':
! 				$user = isset( $_GET['user'] ) ? stripslashes( $_GET['user'] ) : get_user_option( 'wporg_favorites' );
  				update_user_meta( get_current_user_id(), 'wporg_favorites', $user );
  				if ( $user )
  					$args['user'] = $user;
--- 73,79 ----
  				break;
  
  			case 'favorites':
! 				$user = isset( $_GET['user'] ) ? wp_unslash( $_GET['user'] ) : get_user_option( 'wporg_favorites' );
  				update_user_meta( get_current_user_id(), 'wporg_favorites', $user );
  				if ( $user )
  					$args['user'] = $user;
